2011-01-05  Marek Safar  <marek.safar@gmail.com>

	Add missing Accessibility reference

2010-12-10  Miguel de Icaza  <miguel@gnome.org>

	[winforms] Use conditional attributes, not ifdefs to insert
	conditional code

2009-08-19  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms_test.dll.sources: Add a new test file.

2009-03-30  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms.dll.sources: Add X11Clipboard.cs to the build.

2009-01-16  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms_test.dll.sources: Add ClipboardTest.cs.

2008-11-27  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: here is another nunit24 option breakage.

2008-11-08  Andreia Gaita <shana@jitted.com> 

	* SWF2k5-tests.csproj: Fix the previous ChangeLog entry (bad merge). Update
	  regenerated test project.

2008-11-08  Andreia Gaita <shana@jitted.com> 

	* build-csproj2k5-tests: Added net_2_0 configuration to go along with the
	  profile targets (so MD doesn't complain at me)

2008-10-31  Andreia Gaita  <shana@jitted.com>

	* System.Windows.Forms.dll.sources, SWF.csproj,
	  SWF2k5.csproj:
	  Added internal classes for debugging purposes

2008-10-23  Andreia Gaita  <shana@jitted.com>

	* SWF.csproj, SWF2k5.csproj: Update project files

2008-09-29  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.resources: Removed unused dialog-*.png images.

2008-09-18  Mike Gorse <<mgorse@novell.com>

	* System.Windows.Forms.dll.sources: Added IKeyFilter.cs.

2008-08-02  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Added FormEventTest.cs.

2008-07-11  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Remove the clearlooks, nice,
	and old gtk themes.  They are bit-rotted and have always been listed
	as "unsupported".  

2008-07-05  Andreia Gaita <avidigal@novell.com> 

	* SWF2k5.csproj, build-csproj2k5: Fix namespaces on embedded resources
	  [Fixes #384180]

2008-06-30  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Remove the "new" X11 backend.  It
	was never finished, is bit-rotted, and will likely never be finished.	

2008-06-10  George Giolfan  <georgegiolfan@yahoo.com>

	* SWF.csproj, SWF2k5.csproj: Updated.

2008-06-10  George Giolfan  <georgegiolfan@yahoo.com>

	* System.Windows.Forms.dll.sources: Added GtkPlus.cs, IVisualStyles.cs,
	VisualStylesEngine.cs, VisualStylesGtkPlus.cs, VisualStylesNative.cs.

2008-06-03  George Giolfan  <georgegiolfan@yahoo.com>

	* SWF2k5-tests.csproj: Updated.

2008-06-02  Andreia Gaita <avidigal@novell.com> 

	* build-csproj2k5, SWF2k5.csproj: Add missing preprocessor symbol. 
	* SWF2k5.sln: Make 2.0 the default profile for the solution.

2008-05-24  George Giolfan  <georgegiolfan@yahoo.com>

	* SWF.csproj, SWF2k5.csproj: Updated.

2008-05-22  Andreia Gaita <avidigal@novell.com> 

	* SWF2k5.csproj, Makefile, build-csproj2k5, SWF2k5.sln: Long overdue
	  rename of Mono.Mozilla to Mono.WebBrowser. step 2 - update
	  references

2008-05-20  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add DataGridViewDataBindingTest.cs.

2008-05-09  Jonathan Pobst  <monkey@jpobst.com>

	* Makefile: Add .ico's to IMAGE_RESOURCES.  Remove old .resources
	files from RESX_RESOURCES.
	* System.Windows.Forms.dll.resources: Remove old .resources files,
	add .ico's.	

2008-05-07  George Giolfan  <georgegiolfan@yahoo.com>

	* System.Windows.Forms.dll.sources: Added VisualStyles/ToolStripPainter.cs.
	* SWF.csproj, SWF2k5.csproj: Updated.

2008-04-28  George Giolfan  <georgegiolfan@yahoo.com>

	* System.Windows.Forms.dll.sources: Added VisualStyles/TabControlPainter.cs.
	* SWF.csproj, SWF2k5.csproj: Updated.

2008-04-26  George Giolfan  <georgegiolfan@yahoo.com>

	* SWF.csproj, SWF2k5.csproj: Updated.

2008-04-25  George Giolfan  <georgegiolfan@yahoo.com>

	* System.Windows.Forms.dll.sources: Added ThemeVisualStyles.cs,
	ThemeElementsVisualStyles.cs, VisualStyles/CheckBoxPainter.cs,
	VisualStyles/RadioButtonPainter.cs.

2008-04-25  George Giolfan  <georgegiolfan@yahoo.com>

	* System.Windows.Forms.dll.sources: Added IDeviceContext.cs.

2008-04-24  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add InputLanguageTest.cs.

2008-04-23  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* SWF2k5.sln: Fixed file to be in line with current build

2008-04-23  George Giolfan  <georgegiolfan@yahoo.com>

	* SWF2k5.sln: Fixed configuration to support the 1.1 profile.

2008-04-23  George Giolfan  <georgegiolfan@yahoo.com>

	* SWF2k5.csproj: Updated.

2008-04-22  Jonathan Pobst  <monkey@jpobst.com>

	* Makefile: Remove /labels option.

2008-04-09  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add DataGridViewImageCellTest.cs.

2008-04-08  Everaldo Canuto  <ecanuto@novell.com>

	* Makefile: GENERATE_RESOURCES var added to help on resources generation. 

2008-04-08  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add DataGridViewCheckBoxCellTest.cs.

2008-04-03  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add DataGridViewLinkCellTest.cs.

2008-04-02  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add DataGridViewButtonCellTest.cs.

2008-03-19  Ivan N. Zlatev  <contact@i-nz.net>

	* Makefile, System.Windows.Forms.dll.resources: Updated to reflect 
	the resource changes for PropertyGrid.

2008-03-13  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms_test.dll.sources: Added
	ListBindingHelperTest.cs.

2008-03-06  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Added IToolStripData.cs.

2008-03-06  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Added IBounds.cs.

2008-02-19  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Added SelectionRangeTest.cs.

2008-02-06  Andreia Gaita <avidigal@novell.com>

	* build-csproj2k5: fixed mono.mozilla project guid
	* SWF2K5.csproj: synched to sources
	* SWF2k5.sln: updated with proper mono.mozilla guid	

2008-02-04  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms_test.dll.sources: Added
	BindingsCollectionTest.cs.

2008-01-26  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms.dll.sources: Moved PropertiesTab.cs from
	System.Windows.Forms to System.Windows.Forms.PropertyGridInternal.

2008-01-26  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Added ImageListStreamerTest.cs.

2008-01-24  Andreia Gaita <avidigal@novell.com>

	SWF2K5.csproj, SWF.csproj: synched

2008-01-23  Geoff Norton  <gnorton@novell.com>

	* System.Windows.Forms.dll.sources:  Add the Carbon Cursor.cs to the build.

2007-12-30  Andreia Gaita <avidigal@novell.com>

	* build-csproj2k5: added output types
	* SWF2K5.csproj: Updated project

2007-12-21  Geoff Norton  <gnorton@novell.com>

	* System.Windows.Forms.dll.sources: Add Dnd.cs, Pasteboard.cs and HIObjectHandler.cs
	to the build

2007-11-15  Geoff Norton  <gnorton@novell.com>

	* System.Windows.Forms.dll.sources: Reflect the changes for the new OSX->Carbon
	refactoring.

2007-10-23  Geoff Norton  <gnorton@novell.com>

	* System.Windows.Forms.dll.sources: Added OSXKeyboard.cs

2007-10-22  Andreia Gaita <avidigal@novell.com>

	* build-csproj2k5, SWF2k5.csproj: add System.configuration reference

2007-10-22  Geoff Norton  <gnorton@novell.com>

	* Makefile: Add a reference to System.Configuration.dll in NET 2.0

2007-10-11  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms_test.dll.sources: Added DragEventArgsTest.cs.

2007-10-08  Andreia Gaita <avidigal@novell.com>

	* SWF.csproj, build-csproj: Add missing ONLY_1_1 flag, update project.

2007-10-08  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Added TextBoxTextRenderer.cs.

2007-10-07  Andreia Gaita <avidigal@novell.com>

	* System.Windows.Forms.dll.sources: Added WebBrowserDialogs
	* build-csproj2k5: added reference to mono.mozilla
	* SWF2K5.csproj: Updated project files

2007-10-04  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms_test.dll.sources: Added TreeViewEventsTest.cs.

2007-10-04  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Added Line.cs and LineTag.cs.

2007-09-23  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Added
	DataGridViewCellCollectionTest.cs.

2007-09-21  Justin Cherniak <justin.cherniak@gmail.com>

	* SWF2k5.csproj: Fixed missing file.

2007-09-06  Zoltan Varga  <vargaz@gmail.com>

	* System.Windows.Forms.dll.sources: Add HtmlHistory.cs HtmlWindow.cs 
	HtmlWindowCollection.cs ListBindingHelper.cs WindowsFormsSection.cs 
	WindowsFormsSynchronizationContext.cs.

2007-09-01  Zoltan Varga  <vargaz@gmail.com>

	* System.Windows.Forms.dll.sources: Add FileDialogCustomPlace.cs and
	FileDialogCustomPlacesCollection.cs.

2007-08-29  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add HtmlElementErrorEventArgs.cs,
	HtmlElementErrorEventHandler.cs.

2007-08-28  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add RadioButtonPainter.cs.

2007-08-28  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* build-csproj2k5: Add Mono.Mozilla as a reference.
	* SWF2k5.csproj: Updated.

2007-08-26  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms.dll.sources: Add new ListViewInsertionMark.cs
	file.

2007-08-24  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Added
	FolderBrowserDialogTest.cs.

2007-08-22  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: CheckBoxPainter.cs.

2007-08-21  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* System.Windows.Forms_test.dll.sources: Added
	  DataGridViewClipboardHeaderTest.cs, DataGridViewClipboardTest.cs,
	  DataGridViewColumnHeaderTest.cs, DataGridViewRowHeaderTest.cs.

2007-08-19  Andreia Gaita  <avidigal@novell.com>

	* System.Windows.Forms.dll.sources: Add HtmlElement*

2007-08-11 Andreia Gaita <avidigal@novell.com>

	* Makefile: Add reference to the Mono.Mozilla
	assembly for webbrowser support.

2007-08-07  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* SWF.csproj, SWF2k5.csproj, SWF2k5-tests.csproj: Updated.

2007-08-02  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add MdiControlStrip.cs.

2007-07-31  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* build-csproj2k5-tests: Add ONLY_1_1, __MONO_CS__ and DEBUG where
	  relevant.
	* SWF2k5-tests.csproj, SWF.csproj: Updated.
	* System.Windows.Forms_test.dll.sources: Added DataGridViewBandTest.cs,
	  DataGridViewColumnCollectionTest.cs,
	  DataGridViewComboBoxCellTest.cs, DataGridViewCommon.cs,
	  DataGridViewRowColllectionTest.cs, DataGridViewTextBoxColumnTest.cs

2007-07-23  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* System.Windows.Forms_test.dll.sources: Added
	  ArrangedElementCollectionTest.cs

2007-07-20  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* System.Windows.Forms_test.dll.sources: Unified ComboBoxTest.cs and
	  ComboBoxTests.cs, deleted ComboBoxTests.cs
	* SWF2k5-tests.csproj: Updated.

2007-07-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* build-csproj2k5-tests: Remove warnings.
	* SWF2k5.csproj, SWF2k5-tests.csproj: Updated.
	* build-csproj2k5: Ignore obsolete warnings in VS as well.

2007-07-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Makefile: Ignore obsolete warnings.

2007-07-09  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add PowerStatus.cs.

2007-07-03  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add ToolStripSystemRenderer, ToolStripPainter.

2007-06-15  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add ToolStripDropDownItemAccessibleObject.cs.

2007-06-08  Jonathan Pobst  <monkey@jpobst.com>

	* Makefile, System.Windows.Forms.dll.resources: Added image-missing.png,
	image-x-generic.png for PictureBox.

2007-06-08  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add PanelTest.cs. 

2007-06-06  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add ButtonBaseTest.cs. 

2007-06-05  Andreia Gaita  <avidigal@novell.com>

	* build-csproj, build-csproj2k5, swf.csproj, SWF2k5.csproj: 
	Move external Consts.cs and MonoTODOAttribute.cs dependencies 
	to the mwf tree, change the build scripts accordingly (so a 
	user can compile and debug with mwf without having all the mono 
	source tree). 
	Remove Mono.Posix reference from build-csproj2k5. 
	Fix conditional compilation symbols (NET_1_1 should also be 
	defined on 2.0)
	Synch up the *.csproj files

2007-05-25  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* System.Windows.Forms_test.dll.sources: Added KeyEventArgsTest.cs

2007-05-21  Andreia Gaita  <avidigal@novell.com>

	* System.Windows.Forms.dll.sources: Add ResXDataNode.cs
	* System.Windows.Forms_test.dll.sources: Add ResXDataNodeTest.cs

2007-05-19  Andreia Gaita  <avidigal@novell.com>

	* System.Windows.Forms.dll.sources: Add NumericUpDownAcceleration.cs,
	NumericUpDownAccelerationCollection.cs
	* System.Windows.Forms_test.dll.sources: Add NumericUpDownTest.cs

2007-05-18  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add DataObjectTest.cs. 

2007-05-18  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* System.Windows.Forms.dll.sources: Added DrawToolTipEventArgs.cs and
	  DrawToolTipEventHandler.cs

2007-05-17  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add KeysConverterTest, 
	LinkConverterTest.cs.
	* System.Windows.Forms.dll.sources: Add LinkConverter.cs.

2007-05-17  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add TreeViewImageIndexConverterTest.cs.

2007-05-16  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add ImageKeyConverter.cs,
	TreeViewImageKeyConverter.cs.
	* System.Windows.Forms_test.dll.sources: Add ImageKeyConverterTest.cs,
	TreeViewImageKeyConverterTest.cs.

2007-05-16  Olivier Dufour  <olivier.duff@free.fr>

	* ColumnHeaderConverter: Added
	
2007-05-10  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Added
	ToolStripItemCollectionTest.cs.

2007-05-04  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* System.Windows.Forms_test.dll.sources: Added MaskedTextBoxTest.cs

2007-04-30  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Added
	DataGridViewTextBoxCellTest.cs

2007-04-29  Duncan Mak  <duncan@a-chinaman.com>

	* SWF.csproj: 
	* SWF2k5.csproj: Updated.

2007-04-26  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add DrawListViewColumnHeaderEventHandler.cs,
	DrawListViewItemEventHandler.cs, DrawListViewSubItemEventHandler.cs.

2007-04-24  Jonathan Pobst  <monkey@jpobst.com>

	* Makefile: Add new resources for BindingNavigator to build.

2007-04-24  Alan McGovern <alan.mcgovern@gmail.com>

	* System.Windows.Forms.dll.resources - Added files for the BindingNavigator

2007-04-24  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* SWF.csproj, SWF2k5.csproj, SWF2k5-tests.csproj: Update.
	* System.Windows.Forms.dll.sources: Add MaskedTextBox.

2007-04-24  Alan McGovern  <alan.mcgovern@gmail.com>

	* System.Windows.Forms.dll.sources: Added
		BindingNavigator.cs
		BindingNavigatorTests.cs
				
2007-04-23  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add TableLayoutTest.cs.

2007-04-22  Alan McGovern  <alan.mcgovern@gmail.com>

	* System.Windows.Forms.dll.sources:
	Stubbed and added:
		DrawListViewColumnHeaderEventArgs.cs
		DrawListViewColumnHeaderEventArgs.cs
		DrawListViewColumnHeaderEventArgs.cs

2007-04-15  Andreia Gaita  <avidigal@novell.com>

	* System.Windows.Forms.dll.sources: Add ThemeElementsClearlooks, 
	ThemeElementsGtk, ThemeElementsNice, Nice/ButtonPainter, 
	Default/TabControlPainter and Default/ButtonPainter

2007-04-01  Alp Toker  <alp@atoker.com>

	* build-csproj:
	* build-csproj2k5:
	* build-csproj2k5-tests: Use bash, not sh. These scripts do run with
	POSIX sh but they produce incorrect output containing binary garbage.
	Output is correct when 'bash' is used instead of 'sh'.

2007-03-30  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add ScrollProperties, 
	HScrollProperties, and VScrollProperties.
	* System.Windows.Forms_test.dll.sources: Add HScrollPropertiesTest and
	VScrollPropertiesTest.

2007-03-28  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll.sources: Add StatusStripTest.cs,
	ToolStripContainerTest.cs, ToolStripContentPanelTest.cs,
	ToolStripDropDownTest.cs, ToolStripManagerTest.cs, 
	ToolStripOverflowButtonTest.cs, ToolStripOverflowTest.cs
	ToolStripPanelTest.cs, ToolStripStatusLabelTest.cs.

2007-03-13  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Added ErrorProviderTest.cs.

2007-03-10  Gert Driesen  <drieseng@users.sourceforge.net>

	* Makefile: Added 32x32 icon.

2007-03-09  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* System.Windows.Forms_test.dll.sources: Added FormHandleTest and 
	MdiFormHandleTest.

2007-03-08  Chris Toshok <toshok@ximian.com>

	* System.Windows.Forms/DataGrid.cs: some field renaming to make things consistent.

	* System.Windows.Forms/ThemeWin32Classic.cs: same.

2007-03-02  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Makefile: Don't show obsolete warnings when compiling tests.

2007-03-02  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add ThemeElements.cs,
	ThemeElementsDefault.cs.

2007-03-02  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* System.Windows.Forms.dll.sources: Added FormWindowManager.cs and
	  ToolWindowManager.cs
	* Test/System.Windows.Forms/FormTest.cs: Added
	  MaximizedParentedFormTest.

2007-02-27  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add RelatedImageListAttribute.cs.

2007-02-18  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: add SaveFileDialogTest.cs.

2007-02-14  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* System.Windows.Forms_test.dll.sources: add EventLogger.cs

2007-02-13  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* build-csproj2k5-tests: Added to be able to create SWF2k5-tests.csproj.
	* SWF2k5-tests.csproj: Added.

2007-02-09  Chris Toshok  <toshok@ximian.com>

	* System.Windows.Forms_test.dll.sources: add ControlHandleTest.cs

2007-02-08  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add ToolStripOverflow.cs,
	ToolStripOverflowButton.cs.

2007-02-07  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Add DataGridViewColumnTest.cs.

2007-02-06  Rolf Bjarne Kvinge  <RKvinge@novell.com>
	
	* System.Windows.Forms_test.dll.sources: Add TimerTest.cs

2007-02-04  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: ResXResourceReaderTest.cs,
	ResXFileRefTest.cs and Consts.cs.

2007-02-03  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* System.Windows.Forms_test.dll.sources: Add ControlLogger.cs and ControlLogger2.cs

2007-01-26  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add PaddingConverter.cs.
	* System.Windows.Forms_test.dll.sources: Add PaddingConverterTest.cs.

2007-01-25  Chris Toshok  <toshok@ximian.com>

	* System.Windows.Forms_test.dll.sources: add SplitterTest.cs

2007-01-18  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll: Add NotifyIconTest.cs.

2007-01-16  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll: Add ControlCollectionTest.cs,
	MenuStripTest.cs, ToolStripMenuItemTest.cs.

2007-01-04  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll: Add ControlPropertyEventsTest.cs.

2007-01-04  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms_test.dll: Add ColumnHeaderTest.cs

2007-01-04  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms_test.dll: Add LinkAreaTest.cs and HelpProviderTest.cs.

2006-12-30  Chris Toshok  <toshok@ximian.com>

	* Makefile (TEST_HARNESS_LOCAL_EXCLUDES): exclude Interactive
	tests.

2006-12-28  Chris Toshok  <toshok@ximian.com>

	* System.Windows.Forms_test.dll.sources: add DefaultLayoutTest and
	remove DockingTests.

2006-12-27  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Add ScrollableControlTest.cs.

2006-12-23  Chris Toshok  <toshok@ximian.com>

	* System.Windows.Forms_test.dll.sources: add
	System.Windows.Forms.Layout/TableLayoutSettingsTypeConverterTest.cs.

	* System.Windows.Forms.dll.sources: add
	System.Windows.Forms.Layout/TableLayoutSettingsTypeConverter.cs.

	* *.csproj: sync with new file.
	
2006-12-23  Daniel Nauck  <dna@mono-project.de>

	* System.Windows.Forms_test.dll.sources: Add
		UserControlTest.cs

2006-12-21  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add TableLayoutControlCollection.cs,
	move TableLayout to /Layout.

2006-12-21  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* build-csproj2k5: set WarningLevel to 3 and
	add ChangeLogs

2006-12-20  Chris Toshok  <toshok@ximian.com>

	* SWF.csproj: reflect removal of
	DataGridViewRowsDeletedEventArgs.cs.

	* SWF2k5.csproj: same.

	* System.Windows.Forms.dll.sources: remove of
	DataGridViewRowsDeletedEventArgs.cs.

	* System.Windows.Forms_test.dll.sources: remove
	DataGridViewBandTest.cs.

2006-12-19  Chris Toshok  <toshok@ximian.com>

	* System.Windows.Forms_test.dll.sources: add RowStyleTest and
	ColumnStyleTest.

2006-12-17  Daniel Nauck  <dna@mono-project.de>

	* System.Windows.Forms.dll.sources: Add
		ListViewHitTestInfo

2006-12-17  Daniel Nauck  <dna@mono-project.de>

	* System.Windows.Forms.dll.sources: Add
		DockingAttribute.cs, FlatButtonAppearance.cs

2006-12-17  Chris Toshok  <toshok@ximian.com>

	* build-csproj2k5: a couple of changes.  use "exec >" instead of
	redirecting the output from every function, use multiple patterns
	in our sed calls instead of including multiple sed invocations,
	and use sed instead of tr for converting / to \.

2006-12-16  Daniel Nauck  <dna@mono-project.de>

	* System.Windows.Forms.dll.sources: Add
		AutoCompleteStringCollection.cs
	* System.Windows.Forms_test.dll.sources: Add
		AutoCompleteStringCollectionTest.cs

2006-12-16  Chris Toshok  <toshok@ximian.com>

	* SWF.csproj, SWF2k5.csproj: resync these.
	
	* Makefile (EXTRA_DISTFILES): add build-csproj2k5
	
	Also, make both SWF.csproj and SWF2k5.csproj depend on the scripts
	which generate them.  That way if you're hacking on the script you
	don't have to touch System.Windows.Forms.dll.sources every time
	you want to update the output.

	* build-csproj2k5: make some changes suggested by Marek:

	- System.XML should be System.Xml.
	- Change eol-style to native.
	- remove the SubType's from all the .cs Compile elements.
	- Add Mono.Posix if the configuration is DebugXBuild (can't test this though..)

2006-12-15  Chris Toshok  <toshok@ximian.com>

	* Makefile: add targets for the 2k5 csproj.

	* build-csproj2k5: new script to build vs2005 specific projects.
	use SWF2k5.sln instead of SWF.sln and upgrading.  The 2005 project
	doesn't have the problems with resources that the 2003 project
	has.  The only remaining stumbling block for use is Consts.cs.

	* SWF2k5.sln, SWF2k5.csproj: visual studio 2005 versions of these
	files.
	
2006-12-16  Daniel Nauck  <dna@mono-project.de>

	* System.Windows.Forms_test.dll.sources: Add
		PaddingTest.cs

2006-12-15  Daniel Nauck  <dna@mono-project.de>

	* System.Windows.Forms.dll.sources: Add
		ListViewGroup.cs, ListViewGroupCollection.cs
	* SWF.csproj: Add
		ListViewGroup.cs, ListViewGroupCollection.cs
	* System.Windows.Forms_test.dll.sources: Add
		ListViewGroupTest.cs, ListViewGroupCollectionTest.cs

2006-12-06  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Added FormCollection.cs.

2006-12-05  Jonathan Chambers  <joncham@gmail.com>

	* System.Windows.Forms.dll.sources: Added DrawTreeNodeEventArgs.cs.
	
2006-12-01  Chris Toshok  <toshok@ximian.com>

	* System.Windows.Forms.dll.sources: add IBindableComponent.cs

2006-11-30  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Add
		ContextMenuStrip.cs, ToolStripContainer.cs,
		ToolStripDropDownButton.cs, ToolStripDropDownMenu.cs,
		ToolStripManager.cs, ToolStripPanelRow.cs,
		ToolStripSplitButton.cs.
	  Remove ToolStripMenuTracker.cs.

2006-11-29  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms.dll.sources: Add NumericTextBox.cs.

2006-11-09  Alexander Olk  <alex.olk@googlemail.com>

	* System.Windows.Forms_test.dll.sources: Added CommonDialogsTest.cs.

2006-11-08  Chris Toshok  <toshok@ximian.com>

	* System.Windows.Forms.dll.sources: add RootGridEntry.cs

2006-11-09  Jonathan Pobst  <monkey@jpobst.com>
	
	* System.Windows.Forms.dll.sources: 
	Add ToolStripItemDesignerAvailability.cs and
	ToolStripItemDesignerAvailabilityAttribute.cs.

2006-11-07  Jonathan Pobst  <monkey@jpobst.com>
	
	* System.Windows.Forms.dll.sources: Add StatusStrip.cs,
	  ToolStripStatusLabel.cs.

2006-11-04  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Added 
	TreeNodeCollectionTest.cs.

2006-10-30  Jonathan Pobst  <monkey@jpobst.com>
	* System.Windows.Forms.dll.sources: Add ToolStripDropDown.cs,
	  ToolStripItemEventType.cs, ToolStripMenuTracker.cs.

2006-10-30  Alexander Olk  <alex.olk@googlemail.com>

	* System.Windows.Forms_test.dll.sources: Added UpDownTest.cs.

2006-10-13  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Added PropertyGridTest.cs.

2006-10-05  Jonathan Pobst  <monkey@jpobst.com>
	* System.Windows.Forms.dll.sources: Add ToolStripComboBox.cs,
	ToolStripControlHost.cs, ToolStripProgressBar.cs, ToolStripTextBox.cs.

2006-10-03  Sebastien Pouliot  <sebastien@ximian.com> 

	* System.Windows.Forms_test.dll.sources: Add ContainerControlTest.cs
	to the unit tests build.

2006-10-02  Jonathan Pobst  <monkey@jpobst.com>
	* System.Windows.Forms.dll.sources: Add ToolStrip* classes.

2006-09-18  Jonathan Pobst <monkey@jpobst.com>
	* System.Windows.Forms.dll.sources: Add ToolStrip EventArgs/Handlers,
	  add a few ToolStrip stub classes.

2006-09-15  Jonathan Pobst <monkey@jpobst.com>
	* System.Windows.Forms.dll.sources: Added DefaultLayout.cs, FlowLayout.cs,
	  FlowLayoutPanel.cs, FlowLayoutSettings.cs.
	* System.Windows.Forms_test.dll.sources: Added FlowPanelTests.cs

2006-09-13  Jonathan Pobst  <monkey@jpobst.com>

	* System.Windows.Forms.dll.sources: Added SplitContainer/SplitterPanel.
	* System.Windows.Forms_test.dll.sources: Added SplitContainerTests.cs

2006-09-07  Alexander Olk  <alex.olk@googlemail.com>

	* resources/, System.Windows.Forms.dll.resources, Makefile:
	  Add user-home Tango icon in various sizes.

2006-09-05  KornAcl PA!l  <kornelpal@hotmail.com>

	* Makefile: Removed CODEPAGE as now UTF-8 is the default.

2006-08-04  Jonathan Pobst  <monkey@jpobst.com>
	* System.Windows.Forms.dll.sources: Added 2.0 VisualStyles files.

2006-07-30  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms_test.dll.sources: Added PrintDialogTest.cs

2006-07-18  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Windows.Forms_test.dll.sources: Added ListControlTest.cs

2006-07-14  Peter Dennis Bartok  <pbartok@novell.com> 

	* System.Windows.Forms.dll.sources: Added new 2.0 event handlers
	* System.Windows.Forms_test.dll.sources: Added EventArgsTest.cs
	
2006-07-14  Peter Dennis Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added new 2.0 Enums

2006-07-11  Wade Berrier <wberrier@novell.com>

	* Makefile: add some files EXTRA_DISTFILES needed by the tests

2006-06-23  Chris Toshok  <toshok@ximian.com>

	* System.Windows.Forms_test.dll.sources: add
	PropertyManagerTest.cs

2006-06-20  Chris Toshok  <toshok@ximian.com>

	* System.Windows.Forms.dll.sources: add RelatedPropertyManager.cs
	and RelatedCurrencyManager.cs.

2006-06-12  Wade Berrier <wberrier@novell.com>

	* Makefile: Update for dialog-question3.png -> dialog-question.png rename
	to fix 'make dist'

2006-05-30  Wade Berrier <wberrier@novell.com>

	* Makefile: oops, add some more missing resources.

2006-05-30  Wade Berrier <wberrier@novell.com>

	* Makefile: fix resource filenames to fix make dist

2006-05-25  Miguel de Icaza  <miguel@novell.com>

	* Add new dialog-*.png Tango icons (dialog-question is from a
	different theme as Tango is still missing it).

2006-05-24  Miguel de Icaza  <miguel@novell.com>

	* Changes so that we can use the filename as the resource name,
	should help compiling from within VisualStudio.

2006-05-23  Miguel de Icaza  <miguel@novell.com>

	* resources/: Add Tango icons in various sizes.

2006-05-18  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Windows.Forms_test.dll.sources: Add the unit tests for
	PaintEventArgs to the build (tested under both 1.1 and 2.0).

2006-05-15  Peter Dennis Bartok  <pbartok@novell.com>

	* Makefile, System.Windows.Forms.dll.resources: Added NWSE and NESW 
	  cursors

2006-04-28  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added -r:System.Data.dll for "make test".

2006-04-27  Peter Dennis Bartok  <pbartok@novell.com>

	* SWF.csproj: Updated, matching current .sources

2006-04-16  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Windows.Forms_test.dll.sources: Added TabControlTest.cs.

2006-03-21  Jackson Harper  <jackson@ximian.com>

	* System.Windows.Forms.dll.resources: Add the keyboard resources.

2006-03-13  Peter Dennis Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added ProgressBarStyle.cs

2006-03-11  Alexander Olk  <alex.olk@googlemail.com>

	* System.Windows.Forms.dll.sources: Removed MimeGenerated.cs

2006-03-09  Jonathan Gilbert  <logic@deltaq.org>

	* System.Windows.Forms/AutoScaleMode.cs: Added new file for
	  the 2.0 enumeration.
	* System.Windows.Forms/ContainerControl.cs: Added stub for
	  AutoScaleMode property; outputs a message to stderr to
	  encourage people familiar with its behaviour to implement
	  it. :-)
	* System.Windows.Forms/Control.cs: Added stub for AutoScale;
	  outputs a message just like ContainerControl::AutoScaleMode.
	* System.Windows.Forms.dll.sources: Added AutoScaleMode.cs to
	  the list of files to build.

2006-02-28  Matt Hargett  <matt@use.net>

	* System.Windows.Forms_test.dll.sources: Added ComboBoxTests.cs

2006-1-12  Jonathan Chambers  <jonathan.chambers@ansys.com>

	* build-csproj: Fixed so the csproj is usable.

2006-1-12  Jonathan Chambers  <jonathan.chambers@ansys.com>

	* System.Windows.Forms.dll.sources: Added PageSetupDialog.cs.

2006-1-12  Jonathan Chambers  <jonathan.chambers@ansys.com>

	* System.Windows.Forms.dll.sources: Added printing items and *committed* file this time.

2006-1-10  Jonathan Chambers  <jonathan.chambers@ansys.com>

	* System.Windows.Forms.dll.sources: Add PrintPreviewDialog and PrintPreviewControl

2006-1-10  Jonathan Chambers  <jonathan.chambers@ansys.com>

	* System.Windows.Forms.dll.sources: Add PrintControllerWithStatusDialog

2005-12-13  Jackson Harper  <jackson@ximian.com>

	* System.Windows.Forms.dll.sources: Add the new internal window
	managers

2005-12-04  Alexander Olk  <alex.olk@googlemail.com>

	* System.Windows.Forms.dll.sources: Added ThemeClearlooks.cs

2005-12-02  Jackson Harper  <jackson@ximian.com>

	* System.Windows.Forms.dll.sources: New implicit scrollbars.

2005-12-01  Robert Jordan  <robertj@gmx.net>

	* System.Windows.Forms_test.dll.sources: Added
	System.Resources/CompatTest.cs
	System.Resources/WriterTest.cs.

2005-12-01  Raja R Harinath  <rharinath@novell.com>

	* Makefile (EXTRA_DISTFILES): Add Test/resources/a.cur.

2005-11-30  Robert Jordan  <robertj@gmx.net>

	* System.Windows.Forms_test.dll.sources: Added System.Resources/CultureTest.cs

2005-11-12  Pedro MartA-nez JuliA!  <pedromj@gmail.com>

	* System.Windows.Forms_test.dll.sources: Added DataGridViewElementTest.cs
	DataGridViewBandTest.cs DataGridViewCellTest.cs
	DataGridViewAdvancedBorderStyleTest.cs DataGridViewCellStyleTest.cs
	DataGridViewRowTest.cs DataGridViewTest.cs

2005-11-09  Peter Dennis Bartok  <pbartok@novell.com>

	* System.Windows.Forms_test.dll.sources: Added RichTextBoxTest.cs

2005-11-01  Peter Dennis Bartok  <pbartok@novell.com>

	* Makefile, System.Windows.Forms.dll.resources, SWF.csproj: Added
	  DnDLink cursor

2005-10-31  Peter Dennis Bartok  <pbartok@novell.com>

	* Makefile: Added new cursors; added dependency rule on
	  cursors to force rebuild when cursors are changed or added
	* System.Windows.Forms.dll.resources: Added new cursors

2005-10-17  Raja R Harinath  <rharinath@novell.com>

	* Makefile (RESOURCES): Distribute newly added cursors.

2005-10-13  Peter Dennis Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.resources: Added cursors
	* build-csproj: Updated to support resources
	* SWF.csproj: Updated
	* System.Windows.Forms.dll.sources: Removed blank line to support
	  build-csproj
	* System.Windows.Forms_test.dll.sources: Added ControlStyleTest

2005-10-05 Hisham Mardam Bey <hisham.mardambey@gmail.com>

        * Created samples/ directory.	

2005-09-30  Peter Dennis Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added X11DesktopColors.cs
	* SWF.csproj: Updated

2005-09-28 Hisham Mardam Bey <hisham.mardambey@gmail.com>

	* System.Windows.Forms_test.dll.sources : Added Common.cs

2005-09-27  KornAcl PA!l  <kornelpal@hotmail.com>

	* Makefile: Replaced /codepage with CODEPAGE.

2005-09-20  Ritvik Mayank  <mritvik@novell.com>

        * System.Windows.Forms_test.dll.sources : Added pictureBoxTest.cs

2005-09-09 Jonathan Chambers  <jonathan.chambers@ansys.com>

	* System.Windows.Forms.dll.sources: Added IRootGridEntry.cs and PropertyGridCommands.cs

2005-09-09  Hisham Mardam Bey  <hisham.mardambey@gmail.com>

        * Test/System.Windows.Forms/LabelTest.cs : More tests.	

2005-09-09  Hisham Mardam Bey  <hisham.mardambey@gmail.com>

        * Test/System.Windows.Forms/LabelTest.cs : new Label tests (incomplete)
        * System.Windows.Forms_test.dll.sources : add new tests
        * System.Windows.Forms/Label.cs : give FlatStyle a default value
	  of FlatStyle.Standard.

2005-09-08  Ritvik Mayank  <mritvik@novell.com>
	
	* System.Windows.Forms_test.dll.sources : added MonthCalendarTest.cs

2005-09-08  Peter Dennis Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added RichTextBox.cs to build
	* SWF.csproj: Updated

2005-09-06 Jonathan Chambers  <jonathan.chambers@ansys.com>

	* System.Windows.Forms.dll.sources: Added System.Windows.Forms.PropertiesTab.cs

2005-09-04  Peter Dennis Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added System.Windows.Forms.RTF
	  subdirectory to build
	* SWF.csproj: Updated

2005-08-29  Alexander Olk  <xenomorph2@onlinehome.de>

	* System.Windows.Forms.dll.sources: Added ThemeNice.cs

2005-08-29  Ritvik Mayank  <mritvik@novell.com>
	
	* System.Windows.Forms_test.dll.sources : added ProgressBarTest.cs,
	  ToolBarTest.cs, ToolTipTest.cs
	
	  RadioButtonTest.cs, ScrollBarTest.cs and StatusBarTest.cs . 
2005-08-25  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added /codepage:65001 (otherwise the build gets broken
	  on KeyboardLayout.cs on some non-iso-8859-1 environment).

2005-08-18  Rafael Teixeira <rafaelteixeirabr@hotmail.com> 
	* System.Windows.Forms/TreeView.cs: some spaces to tabs
		FIX: ToString() was generating exception on empty Nodes 
		(was testing <0 instead of <= 0)
		
2005-08-16  Ritvik Mayank  <mritvik@novell.com>
	
	* System.Windows.Forms_test.dll.sources : added ImageListTest.cs,
	  RadioButtonTest.cs, ScrollBarTest.cs and StatusBarTest.cs . 
	  
2005-08-06  Ritvik Mayank  <mritvik@novell.com>
	
	* System.Windows.Forms_test.dll.sources : sorted and removed test-cases for Form
	  and TextBox as these are still under development.

2005-08-04  Peter Dennis Bartok  <pbartok@novell.com>

	* SWF.csproj: Updated

2005-08-02  Ritvik Mayank  <mritvik@novell.com>
	
	* M.gif : used by some of the test-cases
	* System.Windows.Forms_test.dll.sources : Added test-case for
	  ListView, ComboBox, CheckBox, CheckedList, Form, Menu, GroupBox
	  and ImageList

2005-07-07  Alexander Olk  <xenomorph2@onlinehome.de>

	* System.Windows.Forms_test.dll.sources : Added MimeIcon.cs

2005-07-06  Jordi Mas i Hernandez <jordi@ximian.com>

	* DataGridTextBoxColumn.cs: default value
	* GridColumnStylesCollection.cs: fixes event firing, checking MappingName
	* GridTableStylesCollection.cs: fixes checking MappingName
	* DataGridDrawingLogic.cs: fixes drawing logic issues
	* DataSourceHelper.cs: rewritten to make compatible with more data sources
	* DataGrid.cs: fixes	


2005-07-04  Ritvik Mayank  <mritvik@novell.com>

	* System.Windows.Forms_test.dll.sources : Added ListBoxTest.cs and 
	  ListBoxEventTest.cs for ListBox tests.

2005-06-15  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added MWFCategoryAttribute.cs and
	  MWFDescriptionAttribute.cs
	* SWF.csproj: Updated

2005-06-15  Alexander Olk  <xenomorph2@onlinehome.de>

	* System.Windows.Forms.dll.sources: Added Mime.cs and
	MimeGenerated.cs.

2005-06-13  Jackson Harper  <jackson@ximian.com>

	* SWF.csproj:
	* System.Windows.Forms.dll.sources: Add MdiClientContext to the
	build.

2005-06-13  Ritvik Mayank  <mritvik@novell.com>

	* System.Windows.Forms_test.dll.sources : Added TextBoxTest.cs
	and ButtonTest.cs for TextBox and Button tests respectively.

2005-06-10  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Add ImageListConverter.cs
	* SWF.csproj: Updated

2005-06-08  Jackson Harper  <jackson@ximian.com>

	* Guidelines:
	* Design: Double buffering is handled at a different level now, so
	I am removing mention of it. Control developers do not need to
	know how it works.

2005-06-05  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Add Win32DnD.cs
	* SWF.csproj: Updated

2005-05-24  Jackson Harper  <jackson@ximian.com>

	* System.Windows.Forms.dll.sources: Add X11Dnd.cs

2005-05-24  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added
	  DataGridPreferredColumnWidthTypeConverter.cs
	* SWF.csproj: Updated

2005-05-24  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added Help.cs
	* SWF.csproj: Updated

2005-05-18  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added Clipboard.cs
	* SWF.csproj: Update

2005-05-11  Ritvik Mayank  <mritvik@novell.com>

	* System.Windows.Forms_test.dll.sources : Added ControlEventTest.cs
	for Event Test

2005-05-11  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added
	  IDataGridEditingService.cs, System.Resources/ResXFileRef.cs,
	  System.Resources/ResXResourceSet.cs
	* SWF.csproj: Updated
	
2005-05-10  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added SecurityIDType.cs,
	  DataObject.cs and DataFormats.cs
	* SWF.csproj: Update

2005-05-06  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added Screen.cs, HelpNavigator.cs
	  and HelpProvider.cs
	* SWF.csproj: Updated

2005-05-05  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added AxHost.cs,
	  ErrorProvider.cs, RichTextBoxFinds.cs, RichTextBoxScrollBars.cs,
	  RichTextBoxSelectionAttribute.cs, RichTextBoxSelectionTypes.cs,
	  RichTextBoxStreamType.cs, RichTextBoxWordPunctuations.cs
	* SWF.csproj: Updated

2005-05-02  Ritvik Mayank  <mritvik@novell.com>

	* System.Windows.Forms_test.dll.sources : Added ControlTest.cs for Label Test

2005-04-26  Ritvik Mayank  <mritvik@novell.com>

	* System.Windows.Forms_test.dll.sources : Added LabelPropertyTest.cs for Label Test

2005-04-25  Jackson Harper  <jackson@ximian.com>

	* System.Windows.Forms.dll.sources: Add CursorConvert.cs to the
	build

2005-04-09  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added FolderBrowserDialog.cs

2005-03-11  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added MdiClient.cs

2005-03-10  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added SaveFileDialog.cs

2005-03-09  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added MdiClient.cs

2005-02-24  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Removed HandleData.cs

2005-02-22  Jackson Harper  <jackson@ximian.com>

	* System.Windows.Forms.dll.sources: Add databinding classes

2005-02-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile (EXTRA_DISTFILES): Add 'build-csproj'.
	(PREBUILT): New rule to copy *.resources to *.resources.prebuilt.
	(dist-default): Depend on it.

2005-02-18  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added MethodInvoker.cs,
	  ErrorIconAlignment.cs, MdiLayout.cs, SendKeys.cs

2005-02-18  Raja R Harinath  <rharinath@novell.com>

	* Makefile (EXTRA_DISTFILES): Distribute all *.resx and
	*.resources.prebuilt.

2005-02-17  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added DateBoldEventHandler.cs,
	  DateBoldEventArgs.cs, UpDownEventHandler.cs, UpDownEventArgs.cs,
	  ContentsResizedEventHandler.cs, ContentsResizedEventArgs.cs

2005-02-15  Peter Bartok  <pbartok@novell.com>

	* Makefile: Altered, following Harinath's suggestion of trying to
	  build and handling the failure by copying prebuilt resources in
	  place

2005-02-15  Peter Bartok  <pbartok@novell.com>

	* Makefile: Removed resources as automatic target; to build
	  .resource files 'make resources' must be invoked. This removes
	  the libgdiplus installed requirement. Instead, the compiled files
	  are checked in as well.

2005-02-13  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Added SelectionRangeConverter.cs,
	  OpacityConverter.cs, KeysConverter.cs, Hwnd.cs
	* System.Windows.Forms.dll.resources: Added
	* Makefile: Added support for generating resources

2005-02-12  Geoff Norton  <gnorton@customerdna.com>

	* System.Windows.Forms.dll.sources: Added ResXNullRef.cs
	
2005-02-03  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.Sources: Added ComponentModel.cs and
	  PropertyGridView.cs

2005-01-30  John BouAntoun  <jba-mono@optusnet.com.au>

	* System.Windows.Forms.dll.Sources: Added DateTimePicker.cs and
	  DateTimePickerFormat.cs
	  
2005-01-29  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.Sources: Added ArrangeDirection.cs and
	  ArrangeStartingPosition.cs
	* SWF.csproj: Updated

2005-01-28  Peter Bartok  <pbartok@novell.com>

	* SWF.csproj: Updated with all the latest files
	* build-csproj: Added, allows to autogenerate SWF.csproj
	* Makefile: Added rule to automatically call build-csproj (Thanks
	  to Geoff Norton for review and a simpler rule)

2005-01-26  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.Sources: Added GridEntry.cs,
	  GridItem.cs, GridItemCollection.cs, GridItemType.cs,
	  PropertyGrid.cs, PropertySort.cs, PropertyTabChangedEventArgs.cs,
	  PropertyTabChangedEventHandler.cs, PropertyValueChangedEventArgs.cs
	  PropertyValueChangedEventHandler.cs,
	  SelectedGridItemChangedEventArgs.cs,
	  SelectedGridItemChangedEventHandler.cs

2005-01-26  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.Sources: Added NotifyIcon.cs

2005-01-16  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.Sources: Added AccessibleEvents.cs

2005-01-16  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.Sources: Added Cursors.cs

2005-01-11  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.Sources: Added OSXStructs.cs

2005-01-05  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.Sources: Added ICommandExecutor.cs,
	  IDataGridColumnStyleEditingNotificationService.cs,
	  IFeatureSupport.cs, IFileReaderService.cs, AmbientProperties.cs,
	  NavigateEventArgs.cs, NavigateEventHandler.cs, FeatureSupport.cs,
	  OSFeature.cs, ErrorBlinkStyle.cs, ListBindingConverter.cs

2004-12-27  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.Sources: Added
	  System.Windows.Forms.Design/ComponentEditorForm.cs,
	  System.Windows.Forms.Design/ComponentEditorPage.cs,
	  System.Windows.Forms.Design/EventsTab.cs,
	  System.Windows.Forms.Design/IUIService.cs,
	  System.Windows.Forms.Design/IWindowsFormsEditorService.cs,
	  System.Windows.Forms.Design/PropertyTab.cs,
	  System.Windows.Forms.Design/WindowsFormsComponentEditor.cs,
	  ColorDialog.cs, ComboBox.cs, ComboBoxStyle.cs, DataGrid.cs,
	  DataGridLineStyle.cs, DataGridParentRowsLabelStyle.cs,
	  DataGridTableStyle.cs, FontDialog.cs, FileDialog.cs,
	  GridColumnStylesCollection.cs, GridTableStylesCollection.cs,
	  IComponentEditorPageSite.cs, OpenFileDialog, Splitter.cs,
	  SplitterEventArgs.cs, SplitterEventHandler.cs, TextBox.cs

2004-12-24  Jordi Mas i Hernandez <jordi@ximian.com>

	* System.Windows.Forms.dll.Sources: Added ComboBox.cs and
	  ComboBoxStyle.cs

2004-12-20  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.Sources: Added CommonDialog.cs

2004-12-16  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.Sources: Added TextBoxBase.cs and
	  TextControl.cs

2004-12-15  Peter Bartok  <pbartok@novell.com>

	* Design: Updated to reflect Mac Driver; added mention
	  of System.Drawing patches for MWF support

	* README: Credited Geoff Norton with the Mac driver

2004-12-15  Jackson Harper  <jackson@ximian.com>

	* System.Windows.Forms.dll.sources: Add keyboard love to the build.

2004-12-08  Peter Bartok  <pbartok@novell.com>

	* SWF.csproj: Added XplatUIOSX.cs to build list

2004-12-07  Geoff Norton  <gnorton@customerdna.com>

	* System.Windows.Forms.dll.sources:  Add the XplatUIOSX.cs driver.

2004-12-07  Ravindra  <rkumar@novell.com>

	* SWF.csproj: Added ThreadExceptionDialog.cs to project and removed
	some of the components that were added twice. This fixes MWF build on
	Windows.

2004-12-03  Marek Safar  <marek.safar@seznam.cz>

	* System.Windows.Forms.dll.sources: Add ThreadExceptionDialog.cs

2004-12-03  Marek Safar  <marek.safar@seznam.cz>

	* Makefile: Added System.Drawing.dll deps for tests.

	* System.Windows.Forms_test.dll.sources: New test files.

2004-12-02  Peter Bartok  <pbartok@novell.com>

	* SWF.csproj: Added Jackson's fresly minted TreeView files to
	  build list

2004-12-01  Jackson Harper  <jackson@ximian.com>

	* System.Windows.Forms.dll.sources: Add TreeNode love to the build.

2004-11-30  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Removed textbox
	  references, accidentally checked those in, but textbox is
	  not yet ready for primetime

2004-11-29  Peter Bartok  <pbartok@novell.com>

	* System.Windows.Forms.dll.sources: Removed tree
	  additions.
	  I am removing these files as they conflict with already completed
	  work. While it is fantastic to get contributions to MWF, I
	  respectfully ask that everyone please coordinate their contributions
	  through mono-winforms-list or #mono-winforms at this time. We're
	  explicitly avoiding stubbing and don't want controls that don't have
	  their basic functionality implemented in svn. Please also see
	  http://www.mono-project.com/contributing/winforms.html
	
2004-11-29  Marek Safar  <marek.safar@seznam.cz>

	* System.Windows.Forms.dll.sources: Added
	TreeNode.cs, TreeNodeCollection.cs, TreeView.cs,
	TreeViewAction.cs, TreeViewEventArgs.cs

	* System.Windows.Forms_test.dll.sources: Added
	TreeNodeTest.cs

2004-11-24  Ravindra  <rkumar@novell.com>

	* SWF.csproj: Updated project.

2004-11-23  John BouAntoun <jba-mono@optusnet.com.au>

	* System.Windows.Forms.dll.sources: added MonthCalendar files

2004-11-21  Ravindra  <rkumar@novell.com>

	* SWF.csproj: Updated project.

2004-11-11  Jackson Harper  <jackson@ximian.com>

	* System.Windows.Forms.dll.sources: Add
	TreeViewImageIndexConverter.cs and OwnerDrawPropertyBag.cs to build

2004-11-01 23:19  ravindra

	* SWF.csproj: Updated project.

2004-10-26 03:38  ravindra

	* SWF.csproj: Updated project.

2004-10-20 04:16  jordi

	* System.Windows.Forms.dll.sources: enum need it by SystemInfo

2004-10-19 16:50  jackson

	* System.Windows.Forms.dll.sources: New optimized event queue

2004-10-18 00:31  ravindra

	* SWF.csproj, System.Windows.Forms.dll.sources: Updated sources
	  list and project to fix the build.

2004-10-15 09:14  ravindra

	* SWF.csproj, System.Windows.Forms.dll.sources: Updates sources
	  list and project.

2004-10-15 06:43  jordi

	* System.Windows.Forms.dll.sources: menu work, mainmenu, subitems,
	  etc

2004-10-13 21:21  ravindra

	* SWF.csproj: Updated project.

2004-10-04 04:58  ravindra

	* SWF.csproj: Updated project.

2004-10-02 12:55  pbartok

	* System.Windows.Forms.dll.sources:
	  - Added LeftRightAlignment source reference

2004-09-30 07:32  ravindra

	* SWF.csproj, System.Windows.Forms.dll.sources: Updated project and
	  sources list.

2004-09-29 23:02  jambunathan

	* SWF.csproj: Updated csproj to include Appearance.cs, CheckBox.cs,
	  CheckState.cs

2004-09-28 14:11  jackson

	* System.Windows.Forms.dll.sources: Give the build some love

2004-09-28 04:31  ravindra

	* Notes: Added a minor note.

2004-09-28 00:18  pbartok

	* Notes:
	  - Initial check in. A place to log info about MWF that doesn't fit
	    anywhere else

2004-09-24 12:02  jackson

	* System.Windows.Forms.dll.sources: Add tab classes to the build

2004-09-23 01:44  ravindra

	* SWF.csproj, System.Windows.Forms.dll.sources: Updated sources
	  list and project file.

2004-09-20 18:54  jackson

	* Makefile: New message loop that uses poll so we don't get a busy
	  loop

2004-09-19 23:41  ravindra

	* Guidelines: Added a note to Guidelines.

2004-09-17 06:19  jordi

	* System.Windows.Forms.dll.sources: Very early menu support

2004-09-16 01:19  ravindra

	* SWF.csproj, System.Windows.Forms.dll.sources: Updated project and
	  sources list.

2004-09-13 22:09  ravindra

	* SWF.csproj: Updated project.

2004-09-13 09:24  jordi

	* System.Windows.Forms.dll.sources: Add to the build Process

2004-09-09 01:15  jordi

	* System.Windows.Forms.dll.sources: measureitem args and handler

2004-09-09 00:03  ravindra

	* SWF.csproj: Updated project.

2004-09-08 23:57  ravindra

	* System.Windows.Forms.dll.sources: Added some new enums to the
	  list.

2004-09-08 06:45  jordi

	* System.Windows.Forms.dll.sources: enumerations need it by menus

2004-09-07 11:12  jordi

	* System.Windows.Forms.dll.sources: GroupBox control

2004-09-02 14:28  pbartok

	* System.Windows.Forms.dll.sources:
	  - Added AccessibleNavigation and AccessibleSelection source files

2004-08-31 20:52  ravindra

	* Design, Guidelines: Minor formatting changes and added location
	  for the coding style guideline for Mono.

2004-08-31 19:37  pbartok

	* Guidelines:
	  - Removed wrong stuff

2004-08-31 16:10  pbartok

	* README:
	  - Updated

2004-08-31 03:13  ravindra

	* System.Windows.Forms_test.dll.sources: Added sources list for
	  test dll.

2004-08-30 10:48  pbartok

	* Design, Guidelines:
	  - Initial check-in

2004-08-29 22:35  pbartok

	* System.Windows.Forms.dll.sources:
	  - Added System.Resources source files

2004-08-27 16:18  ravindra

	* Makefile: Lets do some tests too.

2004-08-27 16:14  ravindra

	* System.Windows.Forms.dll.sources: Added ImageIndexConverter to
	  sources.

2004-08-23 13:14  pbartok

	* SWF.csproj, SWF.sln:
	  - Created properly pathed VS.Net project and solution

2004-08-23 10:46  jackson

	* System.Windows.Forms.dll.sources: oops. remove unused file

2004-08-22 17:47  jackson

	* System.Windows.Forms.dll.sources: Add PictureBox to the build

2004-08-22 12:04  pbartok

	* System.Windows.Forms.dll.sources:
	  - Added Cursor.cs source

2004-08-22 11:59  pbartok

	* System.Windows.Forms.dll.sources:
	  - Restored sort order for file
	  - Added UserControl source file

2004-08-20 13:10  jackson

	* System.Windows.Forms.dll.sources: Classes for sending Async
	  messages through X/Win32

2004-08-19 16:25  jordi

	* System.Windows.Forms.dll.sources: theme enhancaments

2004-08-17 15:09  jackson

	* System.Windows.Forms.dll.sources: Add Panel to the build

2004-08-16 15:24  jackson

	* System.Windows.Forms.dll.sources: HandleData is used for storing
	  message information for window handles

2004-08-16 08:59  pbartok

	* System.Windows.Forms.dll.sources:
	  - Added ButtonBase.cs

2004-08-15 17:22  ravindra

	* System.Windows.Forms.dll.sources: Updated sources list for
	  ToolBar Control.

2004-08-13 10:25  jackson

	* System.Windows.Forms.dll.sources: SWF Timer

2004-08-12 10:19  jackson

	* System.Windows.Forms.dll.sources: Classes for handling status bar
	  panel click events

2004-08-11 15:24  pbartok

	* System.Windows.Forms.dll.sources:
	  - Fixed filename for BindingManagerBase.cs
	  - Alphabetized files

2004-08-10 19:11  jackson

	* System.Windows.Forms.dll.sources: Add StatusBarDrawItem stuff to
	  build

2004-08-10 12:59  jackson

	* System.Windows.Forms.dll.sources: Add Draw Item

2004-08-09 15:40  jackson

	* System.Windows.Forms.dll.sources: Add status bar panel files to
	  the build

2004-08-07 17:01  jackson

	* System.Windows.Forms.dll.sources: Add HorizontalAlignment enum to
	  build

2004-07-26 11:42  jordi

	* System.Windows.Forms.dll.sources: Theme support

2004-07-26 05:41  jordi

	* System.Windows.Forms.dll.sources: initial messagebox
	  implementation

2004-07-21 10:19  jordi

	* System.Windows.Forms.dll.sources: LinkLabel control
	  implementation

2004-07-16 05:18  jordi

	* System.Windows.Forms.dll.sources: add ImageList,
	  ImageListStreamer, and ColorDepth to the build process

2004-07-15 03:38  jordi

	* System.Windows.Forms.dll.sources: Horizontal and Vertical
	  TrackBar control implementation

2004-07-13 09:33  jordi

	* System.Windows.Forms.dll.sources: vertical and hort. classes
	  commit

2004-07-08 23:21  pbartok

	* Makefile, README, System.Windows.Forms.dll.sources:
	  - Initial check-in

